### Method

# Gtk Accessibleannounce

since: 4.14

#### Declaration [src]

    void
    gtk_accessible_announce (
      GtkAccessible* self,
      const char* message,
      GtkAccessibleAnnouncementPriority priority
    )

#### Description [src]

Requests the user’s screen reader to announce the given message.

This kind of notification is useful for messages that either have only a visual representation or that are not exposed visually at all, e.g. a notification about a successful operation.

Also, by using this API, you can ensure that the message does not interrupts the user’s current screen reader output.

Available since: 4.14

#### Parameters

`message`

  Type: `const char*`

  The string to announce.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`priority`

  Type: `GtkAccessibleAnnouncementPriority`

  The priority of the announcement.